Subject: bug#69693: 30.0.50; package-load-desciptor: End of file during parsing

From: Michael Heerdegen <[email-masked]>
Date: Tue, 12 Mar 2024 07:03:36 +0100

Divya via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> I'm still unsure as to how this is happening. When I do some debugging
> it takes me to the definition of `package-install`.

Just wild guessing: In theory I think this could happen even with emacs
-Q when something in your `package-user-dir' is broken.  You might want
to try to rename that directory temporarily or redefine the variable to
point to some empty directory.  Or maybe just try with a different Linux
user (maybe a newly created test account).

If this does not reveal something new: Can you then maybe provide an
Elisp backtrace please (after loading the source file "package.el")?

TIA,

Michael.